# Fake Florence

A command line application, bundled as a gem, which provides a stub interface for [Determinator](https://github.com/deliveroo/determinator) to read from.

## Installation

Install this gem with:

```bash
$ gem install fake_florence
```

## Usage

Basic usage of the `flo` command line gem looks like this:

```bash
$ flo start
Flo now is running at https://flo.dev
Use other commands to create or edit Feature flags and Experiments.
See `flo help` for more information

$ flo create my_experiment
my_experiment created and opened for editing
```

The default config expects that you have [puma-dev](https://github.com/puma/puma-dev) running, and https://flo.dev pointing to port 35600. You can do this with the command:

```bash
$ echo 35600 > ~/.puma-dev/flo
```

Once the Fake Florence server is running, point your instance of determinator at Flo and run `flo announce` to announce all the fake features you currently have specified.

## Planned features

- Better logging
- Logging of requests for features received by the server
- Tests

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/deliveroo/fake_florence. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.

## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).

## Code of Conduct

Everyone interacting in the FakeFlorence project’s codebases, issue trackers, chat rooms and mailing lists is expected to follow the [code of conduct](https://github.com/[USERNAME]/fake_florence/blob/master/CODE_OF_CONDUCT.md).
